package com.mydomain.helloworld;

import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.List;
import java.util.Arrays;

@Name("auctionAddressList")
public class AuctionAddressList extends EntityQuery {

	private static final String[] RESTRICTIONS = {
			"lower(auctionAddress.street) like concat(lower(#{auctionAddressList.auctionAddress.street}),'%')",
			"lower(auctionAddress.city) like concat(lower(#{auctionAddressList.auctionAddress.city}),'%')",
			"lower(auctionAddress.country) like concat(lower(#{auctionAddressList.auctionAddress.country}),'%')",};

	private AuctionAddress auctionAddress = new AuctionAddress();

	@Override
	public String getEjbql() {
		return "select auctionAddress from AuctionAddress auctionAddress";
	}

	@Override
	public Integer getMaxResults() {
		return 25;
	}

	public AuctionAddress getAuctionAddress() {
		return auctionAddress;
	}

	@Override
	public List<String> getRestrictions() {
		return Arrays.asList(RESTRICTIONS);
	}

}
