package com.mydomain.helloworld;

import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.List;
import java.util.Arrays;

@Name("auctionItemList")
public class AuctionItemList extends EntityQuery {

	private static final String[] RESTRICTIONS = {
			"lower(auctionItem.name) like concat(lower(#{auctionItemList.auctionItem.name}),'%')",
			"lower(auctionItem.description) like concat(lower(#{auctionItemList.auctionItem.description}),'%')",};

	private AuctionItem auctionItem = new AuctionItem();

	@Override
	public String getEjbql() {
		return "select auctionItem from AuctionItem auctionItem";
	}

	@Override
	public Integer getMaxResults() {
		return 25;
	}

	public AuctionItem getAuctionItem() {
		return auctionItem;
	}

	@Override
	public List<String> getRestrictions() {
		return Arrays.asList(RESTRICTIONS);
	}

}
