package com.mydomain.helloworld;

import org.jboss.seam.annotations.Name;
import org.jboss.seam.framework.EntityQuery;
import java.util.List;
import java.util.Arrays;

@Name("auctionUserList")
public class AuctionUserList extends EntityQuery {

	private static final String[] RESTRICTIONS = {
			"lower(auctionUser.firstname) like concat(lower(#{auctionUserList.auctionUser.firstname}),'%')",
			"lower(auctionUser.lastname) like concat(lower(#{auctionUserList.auctionUser.lastname}),'%')",};

	private AuctionUser auctionUser = new AuctionUser();

	@Override
	public String getEjbql() {
		return "select auctionUser from AuctionUser auctionUser";
	}

	@Override
	public Integer getMaxResults() {
		return 25;
	}

	public AuctionUser getAuctionUser() {
		return auctionUser;
	}

	@Override
	public List<String> getRestrictions() {
		return Arrays.asList(RESTRICTIONS);
	}

}
