package com.mydomain.helloworld.rules;

import javax.ejb.Stateless;

import org.drools.FactException;
import org.drools.WorkingMemory;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Out;

@Name("rulesAction")
@Stateless
public class RulesImpl implements RulesInterface {
	
	//LAB TIP - This is where we create the working memory that we configured in components.xml
	//          This is a short-lived component that will live only as long as the method call
	//          but we could hold this for an entire conversation, process or session.
	@In(create=true) 
	WorkingMemory helloworldWorkingMemory;
	
    //LAB TIP - Get a helloBean from the facelet or create one if null. 
	@In(required=false,create=true)
	@Out(required=false)
	HelloBean helloBean;
	
	//LAB TIP - Assert objects and make a rules engine call
	public String saySomething() throws FactException
	{
		helloworldWorkingMemory.assertObject(helloBean);
		helloworldWorkingMemory.fireAllRules();
		
		return "helloworld";
	}

	public HelloBean getHelloBean() {
		return helloBean;
	}

	public void setHelloBean(HelloBean helloBean) {
		this.helloBean = helloBean;
	}	
}
