package com.mydomain.helloworld;

import javax.ejb.Stateless;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Logger;
import org.jboss.seam.log.Log;
import org.jboss.seam.core.FacesMessages;

@Stateless
@Name("hello")
public class HelloBean implements Hello {
	
    @Logger private Log log;
	
    @In 
    FacesMessages facesMessages;
    
    //seam-gen method
	public String hello()
	{
		//implement your business logic here
		log.info("hello.hello() action called");
		facesMessages.add("hello");
		return "success";
	}
	
    //LAB TIP - Bad greeting method implementation. 
	public String badGreeting() throws NullPointerException {
		// implement your business logic here
		log.info("hello.badGreeting() action called");
		
		//LAB TIP - Make sure you always throw a NullPointerException. 
		throw new NullPointerException("oops!");					
	}

	
}
